<?php
if (file_exists(INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."last_seen_users_panel/locale/English.php";
}

openside($locale['LSUP_000']);
	$result = dbquery("SELECT * FROM ".$db_prefix."users ORDER BY user_lastvisit DESC LIMIT 0,10");

	echo "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" class=\"\">";
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			// Check if user has ever logged in
			if ($data['user_lastvisit'] != 0) {
				$lastseen = time() - $data['user_lastvisit'];
				$iW=sprintf("%2d",floor($lastseen/604800));
				$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
				$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
				$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
				$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
				if ($lastseen < 60){
					$lastseen="<nobr>".$locale['LSUP_001']."</nobr>";
				} elseif ($lastseen < 360){
					$lastseen="<nobr>".$locale['LSUP_002']."</nobr>";
				} elseif ($iW > 0){
					if ($iW == 1) {
						$Text = $locale['LSUP_003'];
					} else {
						$Text = $locale['LSUP_004'];
					}
					$lastseen = "<nobr>".$iW." ".$Text."</nobr>";
				} elseif ($iD > 0){
					if ($iD == 1) {
						$Text = $locale['LSUP_005'];
					} else {
						$Text = $locale['LSUP_006'];
					}
					$lastseen = "<nobr>".$iD." ".$Text."</nobr>";
				} else {
					$lastseen = $iH.":".$iM.":".$iS;
				}
			} else {
				$lastseen = $locale['LSUP_007'];
			}
	
			echo "<tr>\n<td class=\"side-small\" align=\"left\"><a href=\"".BASEDIR."profile.php?lookup=".$data['user_id']."\" class=\"side\">";
			echo $data['user_name']."</a></td><td class=\"side-small\" align=\"right\">".$lastseen."</td></tr>";
		}
	}
	echo "</table>";
closeside();
?>